# 人事：AI 面试系统 - 简历筛选模块  

## 技术栈  
- **前端**：Vue 3 + Vite  
- **后端**：Node.js  
- **数据库**：MySQL  
- **UI组件**：lucide-vue-next  
- **日期处理**：date-fns + @date-io/date-fns  

---

## 配置与安装  

### **数据库配置**  
数据库连接信息存放在：  
- `.env`（环境变量）  
- `config/db.js`（数据库配置文件）  

### **安装依赖**  
```bash
npm install
npm install lucide-vue-next date-fns @date-io/date-fns
```

---

## 运行项目  

### **前端启动**  
```bash
cd ai-interview
npm run dev
```

### **后端启动**  
```bash
npm install -g nodemon  # 安装nodemon（若已安装可跳过）
cd recruitment-backend
npm run dev
```  
> **注意**：后端启动时会自动测试数据库连接，若无报错即表示连接成功。  

---

## 项目结构  
```
├── ai-interview/        # 前端代码  
├── recruitment-backend/ # 后端代码  
└── docs/                # 项目文档与PPT  
```

---

## 注意事项  
1. **MySQL 服务必须已启动**  
2. **检查 `.env 文件配置是否正确**  
3. **首次运行务必执行 `npm install` 安装依赖**  

---

## 项目成员  
**组长**：
**组员**：

---

