const express = require('express');
const router = express.Router();

// 导入子路由
const authRouter = require('./auth');
const jobsRouter = require('./jobs');
const candidatesRouter = require('./candidates');
const interviewsRouter = require('./interviews');
const dashboardRouter = require('./dashboard');

// 挂载路由
router.use('/auth', authRouter);
router.use('/jobs', jobsRouter);
router.use('/candidates', candidatesRouter);
router.use('/interviews', interviewsRouter);
router.use('/dashboard', dashboardRouter);

// 健康检查端点
router.get('/health', (req, res) => {
  res.json({ status: 'ok', timestamp: new Date() });
});

module.exports = router;