// utils/apiResponse.js
function successResponse(res, data, statusCode = 200) {
  res.status(statusCode).json({
    success: true,
    data
  });
}

function errorResponse(res, error, statusCode = 500) {
  const message = error instanceof Error ? error.message : error;
  res.status(statusCode).json({
    success: false,
    error: message
  });
}

module.exports = { successResponse, errorResponse };